package com.yixin.ms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/8/5 13:55
 * @description:
 */
@Data
@Accessors(chain = true)
public class IrsTripCheckScheduleDTO {
    @ApiModelProperty("凭证标识")
    private String appKey;

    @ApiModelProperty("凭证密钥")
    private String appSecret;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("验证码")
    private String verification;

    @ApiModelProperty("中高风险地区编码组合,中高风险地区编码组合示例:420100,420200,420300（详见文件 ） 要求：必须精确到市级别，如果没有中高风险地区，city 传“0”即可")
    private String city;
}
