package com.yixin.ms.model.enums;

import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/8/5 17:17
 * @description:
 */
@AllArgsConstructor
@Getter
public enum IrsTripAuthEnum {
    /**
     * 省共享行程权限认证信息
     */
    //公司内部使用
    INTERNAL_USE("6f32f95d52c04eb6851b8b0e1a3155ad", "1b8f230d5904480ca3b6cc737c1211a2"),
    TEST("cd7710c6d56e42838d12b83efe535020", "05ac7aa50dbc4083b7af9ecc42b9e5c4")
    ;

    private String appKey;

    private String appSecret;

    public static IrsTripAuthEnum appKeyOf(String appKey){
        for(IrsTripAuthEnum authEnum : values()){
            if(authEnum.getAppKey().equals(appKey)){
                return authEnum;
            }
        }

        return null;
    }


    public static void main(String[] args) {
        System.out.println(IdUtil.fastSimpleUUID());
        System.out.println(IdUtil.fastSimpleUUID());
    }
}
