package com.yixin.ms.crypto.util;

import cn.hutool.core.util.*;
import cn.hutool.crypto.*;
import cn.hutool.crypto.symmetric.*;

public class SzhzSm4Util {
    public static String encrypt(final String secret, final String str) {
        if (StrUtil.isBlank((CharSequence)str)) {
            return "";
        }
        final SymmetricCrypto symmetricCrypto = SmUtil.sm4(secret.getBytes());
        return symmetricCrypto.encryptBase64(str);
    }

    public static String decrypt(final String secret, final String str) {
        if (StrUtil.isBlank((CharSequence)str)) {
            return "";
        }
        final SymmetricCrypto symmetricCrypto = SmUtil.sm4(secret.getBytes());
        return symmetricCrypto.decryptStr(str);
    }

    public static void main(String[] args) {
        String encrypt = SzhzSm4Util.encrypt("36022dcb14f2f7d5", "cd16b30955d117b258bdd9afa5b3e958");
        System.out.println(encrypt);

        String decrypt = SzhzSm4Util.decrypt("36022dcb14f2f7d5", "BbeNjgmHFH1fDVKC5HEDCQ==");
        System.out.println(decrypt);
    }
}
