package com.yixin.ms.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author: lileilei
 * @date: 2022/8/17 15:46
 * @description:
 */
@Data
@Accessors(chain = true)
public class VaccinateDTO {
    @ApiModelProperty("接种者编码")
    private String chil_code;

    @ApiModelProperty("接种者姓名")
    private String chil_name;

    @ApiModelProperty("接种者身份证号码")
    private String chil_no;

    @ApiModelProperty("疫苗编码: 5601-新冠灭活疫苗-2剂次 5603-新冠重组CHO疫苗-3剂次 5602-新冠腺病毒载体疫苗-1剂次")
    private String inoc_bact_code;

    @ApiModelProperty("疫苗名称")
    private String inoc_bact_name;

    @ApiModelProperty("疫苗剂次")
    private String inoc_time;

    @ApiModelProperty("接种日期")
    private Date inoc_date;

    @ApiModelProperty("接种机构名称")
    private String inoc_depa_name;

    @ApiModelProperty("疫苗批次号")
    private String inoc_batchno;

    @ApiModelProperty("疫苗厂家")
    private String inoc_corp_name;

}
